Skip to content

Start Script

GET
/api/v1/start-script/
curl --request GET \
--url 'https://api.e2enetworks.com/myaccount/api/v1/start-script/?project_id=<PROJECT_ID>&apikey=<API_KEY>&location=<LOCATION>' \
--header 'Authorization: Bearer <API_TOKEN>'
project_id
required
integer

Identifier of the project to scope the request to. Required integer project ID.

Example

<PROJECT_ID>
apikey
required
string

API key used for authentication

Example

<API_KEY>
location
required
string

Specifies the starting location for the script.

Example

<LOCATION>

Successful response

Media typeapplication/json
object
data
Array<object>
object
id

Unique identifier of the script execution

integer
label

Identifier for the script

string
script_content

Shell script content to be executed

string

Example

{
"data": [
{
"id": 123,
"label": "nginx",
"script_content": "sudo apt-get update\nsudo apt-get install nginx -y"
}
]
}